package com.lukouguoji.aerologic.page.gnj.unload.list

import android.view.View
import com.lukouguoji.aerologic.databinding.ItemCarListBinding
import com.lukouguoji.aerologic.databinding.ItemGnjUnloadListBinding
import com.lukouguoji.module_base.base.BaseViewHolder
import com.lukouguoji.module_base.bean.CarBean
import com.lukouguoji.module_base.bean.GnjUnloadListBean
import com.lukouguoji.module_base.bean.SimpleCheckBean

class GnjUnloadListViewHolder(view: View) :
    BaseViewHolder<GnjUnloadListBean, ItemGnjUnloadListBinding>(view) {

    override fun onBind(item: Any?, position: Int) {
        val itemBean = getItemBean(item)!!
        binding.bean = itemBean

        binding.ivIcon.setOnClickListener {
            itemBean.checked.set(!itemBean.checked.get())
        }

        notifyItemClick(position, binding.tvDelete)
        notifyItemClick(position, binding.tvModify)
        notifyItemClick(position, binding.llContent)

    }
}